<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{trainingpositions.info}">Weiterbildungsstelle</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>

	<h1 data-th-text="#{trainingpositions.occupancy}">Belegung Weiterbildungsstelle</h1>
	<ul>
		<li><th:block data-th-text="#{trainingpositions.authoriseddoctor}" />:&nbsp;<th:block data-th-text="${trainingPositionField.authorisation.authorisedDoctor.fullName}" /></li>
		<li><th:block data-th-text="#{authorisations.maximalduration}" />:&nbsp;<th:block data-th-text="${trainingPositionField.authorisation.maximalDuration}" /></li>
		<li><th:block data-th-text="#{trainingpositions.trainingsite}" />:&nbsp;<th:block data-th-text="${trainingPositionField.authorisation.trainingSite.name}" /></li>
		<li><th:block data-th-text="#{trainingpositions.availability}" />:&nbsp;<th:block data-th-text="${trainingPositionField.availableFrom}" />&nbsp;-&nbsp;<th:block data.th-text="${trainingPositionField.availableUntil" /></li>
		<li><th:block data-th-text="#{trainingpositions.blockedslots}" />:&nbsp;<th:block data-th-text="${trainingPositionField.exclusions}" /></li>
		<li><th:block data-th-text="#{trainingpositions.capacity}" />:&nbsp;<th:block data-th-text="${trainingPositionField.capacity}" />
	</ul>

	<h2 data-th-text="#{trainingpositions.availability24months}">Verfügbarkeit in den nächsten 24 Monaten</h2>
	<table class="availability">
		<tr>
			<td data-th-each="availability: ${availability}" data-th-class="${availability.value}"><th:block data-th-text="${availability.key.year}" />-<th:block data-th-text="${availability.key.month.getDisplayName(T(java.time.format.TextStyle).SHORT, T(java.util.Locale).GERMAN)}" /></td>
		</tr>
	</table>

	<h2 data-th-text="#{trainingpositions.plannedsegments}">Geplante Weiterbildungsabschnitte</h2>
	<table class="datatable">
		<thead>
			<tr>
				<th data-th-text="#{rotationplansegments.segmentbegin}">Beginn</th>
				<th data-th-text="#{rotationplansegments.segmentend}">Ende</th>
				<th data-th-text="#{rotationplansegments.registrar}">AiW</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="segment: ${rotationPlanSegments}" data-th-class="'segmentnow-'+${segment.now}">
				<td data-th-text="${segment.segmentBegin}"></td>
				<td data-th-text="${segment.segmentEnd}"></td>
				<td><a data-th-href="@{/persons/registrars/{id}/rotationplan(id=${segment.rotationPlan.registrar.id})}" data-th-text="${segment.rotationPlan.registrar.fullName}" /></td>
			</tr>
		</tbody>
	</table>

	<h2 data-th-text="#{trainingpositions.pastsegments}">Vergangene Weiterbildungsabschnitte</h2>
	<table class="datatable">
		<thead>
			<tr>
				<th data-th-text="#{rotationplansegments.segmentbegin}">Beginn</th>
				<th data-th-text="#{rotationplansegments.segmentend}">Ende</th>
				<th data-th-text="#{rotationplansegments.registrar}">AiW</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="segment: ${pastSegments}">
				<td data-th-text="${segment.segmentBegin}"></td>
				<td data-th-text="${segment.segmentEnd}"></td>
				<td><a data-th-href="@{/persons/registrars/{id}/rotationplan(id=${segment.rotationPlan.registrar.id})}" data-th-text="${segment.rotationPlan.registrar.fullName}" /></td>
			</tr>
		</tbody>
	</table>
	</main>
</body>
</html>